require "aws_ssh/files"
require "aws_ssh/cache"
module AWS_SSH
  class Run


    def generate
      config = ENV['HOME']+"/.ssh/"+AWS_SSH::HOSTS_FILE
      # 4 hour cache
      if (File.exists?(config) && File.ctime(config) < (Time.now - (AWS_SSH::CACHE_TIME) )) || ! File.exists?(config)
        self.force
        self.merge
      end
    end

    def force
      ec2 = EC2.new
      ec2.write
    end

    def merge
      `#{AWS_SSH::MERGE_CMD}`
    end
  end
end